CREATE OR REPLACE PACKAGE app_k_global AS

  -- comprobacin de aos vlidos
  vg_c_ano_limite_inferior CONSTANT NUMBER(4) DEFAULT 2010;
  vg_c_ano_limite_superior CONSTANT NUMBER(4) DEFAULT 2110;

  -- cdigos de regalo disponibles
  -- mantener a mano el check GRR_BR_COD_ESTADO_REGALO de la tabla GRUPOS_REGALOS
  vg_c_codregalo_limite_inferior CONSTANT NUMBER(1) DEFAULT 0;
  vg_c_codregalo_limite_superior CONSTANT NUMBER(1) DEFAULT 5;

  vg_c_codregalo_agregado        CONSTANT NUMBER(1) DEFAULT 0;
  vg_c_codregalo_eliminado       CONSTANT NUMBER(1) DEFAULT 1;
  vg_c_codregalo_no_sufic_fondos CONSTANT NUMBER(1) DEFAULT 2;
  vg_c_codregalo_pagado          CONSTANT NUMBER(1) DEFAULT 3;
  vg_c_codregalo_enviado         CONSTANT NUMBER(1) DEFAULT 4;
  vg_c_codregalo_recibido        CONSTANT NUMBER(1) DEFAULT 5;

  -- valores permitidos para los listados de los TOP TEN
  vg_c_topten_limite_inferior CONSTANT NUMBER(1) DEFAULT 0;
  vg_c_topten_limite_superior CONSTANT NUMBER(1) DEFAULT 10;

  -- valores permitidos para COD_MODALIDAD_PAGO de la tabla TRANSACCIONES_ECO
  -- mantener a mano el check TRN_BR_COD_MODALIDAD_PAGO de la tabla TRANSACCIONES_ECO
  vg_c_codmodpago_limit_inferior CONSTANT NUMBER(1) DEFAULT 0;
  vg_c_codmodpago_limit_superior CONSTANT NUMBER(1) DEFAULT 2;

  vg_c_codmodpago_cuenta_corrien CONSTANT NUMBER(1) DEFAULT 0;
  vg_c_codmodpago_tarjeta        CONSTANT NUMBER(1) DEFAULT 1;
  vg_c_codmodpago_paypal         CONSTANT NUMBER(1) DEFAULT 2;

  FUNCTION f_check_ano(p_ano_in NUMBER) RETURN BOOLEAN;
  FUNCTION f_check_ano_mes(p_ano_in NUMBER,
                           p_mes_in NUMBER) RETURN BOOLEAN;
  FUNCTION f_check_topten_limites(p_topten_in NUMBER) RETURN BOOLEAN;

  FUNCTION f_check_medio_pago(p_cod_modalidad_pago_in IN transacciones_eco.cod_modalidad_pago%TYPE DEFAULT NULL,
                              p_detalle_pago_in       IN transacciones_eco.detalle_pago%TYPE DEFAULT NULL) RETURN BOOLEAN;
  /*!! chequear o borrar
    FUNCTION f_check_medio_pago2 RETURN BOOLEAN;
  
    -- chequeo de los medios de pago
    FUNCTION f_check_medio_pago(p_cod_modalidad_pago_in IN transacciones_eco.cod_modalidad_pago%TYPE DEFAULT NULL,
                                p_detalle_pago_in       IN transacciones_eco.detalle_pago%TYPE DEFAULT NULL) RETURN BOOLEAN;
  */
END app_k_global;
/
