CREATE OR REPLACE PACKAGE app_k_regalos IS
  --------------------------------------------------------------------------------------------------------
  FUNCTION f_get_regalo(p_cln_regalo_in        IN regalos.cln_regalo%TYPE DEFAULT NULL,
                        p_nom_regalo_in        IN regalos.nom_regalo%TYPE DEFAULT NULL,
                        p_devolver_borrados_in IN BOOLEAN DEFAULT FALSE) RETURN regalos%ROWTYPE;

  FUNCTION f_get_lista_regalos_para_reg(p_cln_usuario_in       usuarios.cln_usuario%TYPE,
                                        p_cln_regalo_in        IN regalos.cln_regalo%TYPE,
                                        p_devolver_borrados_in IN BOOLEAN DEFAULT FALSE) RETURN listas_regalos%ROWTYPE;

  FUNCTION f_get_categoria(p_cln_categoria_in     IN categorias.cln_categoria%TYPE DEFAULT NULL,
                           p_nom_categoria_in     IN categorias.nom_categoria%TYPE DEFAULT NULL,
                           p_devolver_borrados_in IN BOOLEAN DEFAULT FALSE) RETURN categorias%ROWTYPE;

  PROCEDURE pr_alta_regalo_en_lista_deseos(p_cln_usuario_in IN usuarios.cln_usuario%TYPE,
                                           p_cln_regalo_in  IN regalos.cln_regalo%TYPE,
                                           p_rsp_out        OUT NOCOPY logs.rsp%TYPE);

  PROCEDURE pr_baja_regalo_en_lista_deseos(p_cln_usuario_in IN usuarios.cln_usuario%TYPE,
                                           p_cln_regalo_in  IN regalos.cln_regalo%TYPE,
                                           p_rsp_out        OUT NOCOPY logs.rsp%TYPE);

  PROCEDURE pr_baja_completa_lista_deseos(p_cln_usuario_in IN usuarios.cln_usuario%TYPE,
                                          p_rsp_out        OUT NOCOPY logs.rsp%TYPE); -- Da de baja todos los regalos asociados y desasocia la lista de deseos en la tabla USUARIOS

--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
--------------------------------------------------------------------------------------------------------
END app_k_regalos;
/
